Skip to main content
GET
/
work-orders
List work orders
curl --request GET \
  --url https://app.lanten.co/api/open/v1/work-orders \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "WO-101",
      "title": "<string>",
      "description": "<string>",
      "status": "reported",
      "priority": "0",
      "availability": "<string>",
      "selfResolved": true,
      "resolvedAt": "2023-11-07T05:31:56Z",
      "intakeChannel": "email",
      "tenant": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "jsmith@example.com"
      },
      "unit": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fullAddress": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total": 42,
    "page": 1,
    "pageSize": 20,
    "pageCount": 3
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

Search by title or work order code.

status
enum<string>
Available options:
reported,
in_progress,
completed,
cancelled
priority
enum<string>

Priority level: 0 = Emergency, 1 = High, 2 = Medium (default), 3 = Low

Available options:
0,
1,
2,
3
tenantId
string<uuid>
unitId
string<uuid>
page
integer
default:1
pageSize
integer
default:20
Required range: x <= 50

Response

Paginated list of work orders

data
object[]
pagination
object